# Fachschaft Computerlinguistik Public Keys

* Address: <fs-coli@cl.uni-heidelberg.de>
  * S/MIME: [`fs-coli@cl.uni-heidelberg.de.smime.pub.pem`](fs-coli@cl.uni-heidelberg.de.smime.pub.pem)
  * OpenPGP: [`fs-coli@cl.uni-heidelberg.de.pgp.pub.asc`](fs-coli@cl.uni-heidelberg.de.pgp.pub.asc)

## Get key data

To get information about the public keys (e.g. fingerprints), first, download the keys (or clone the repository). On a Linux system with all necessary tooling installed, you can then use one of the following commands:

### S/MIME

```bash
openssl x509 -in fs-coli@cl.uni-heidelberg.de.smime.pub.pem -text -fingerprint -noout
```

An S/MIME certificate has both a serial number (arbitrarily assigned by the issuer) and one or more fingerprints (automatically generated by one or more cryptographic hashing algorithms). Read more about the differences here:

* [What is the difference between serial number and thumbprint? - Information Security Stack Exchange](https://security.stackexchange.com/questions/35691/what-is-the-difference-between-serial-number-and-thumbprint)
* [What is the actual value of a certificate fingerprint? - Information Security Stack Exchange](https://security.stackexchange.com/questions/35691/what-is-the-difference-between-serial-number-and-thumbprint)

### OpenPGP

```bash
gpg --show-keys --with-fingerprint fs-coli@cl.uni-heidelberg.de.pgp.pub.asc 
```

## Mutual signatures

You trust one key (S/MIME or OpenPGP), but not the other? For this case, we have mutually signed each key with the other one. The directory `Signatures` contains the following two files:

* The S/MIME key signed with the OpenPGP key: [`Signatures/fs-coli@cl.uni-heidelberg.de.smime.pub.pem.sig`](Signatures/fs-coli@cl.uni-heidelberg.de.smime.pub.pem.sig)
* The OpenPGP key signed with the S/MIME key: [`Signatures/fs-coli@cl.uni-heidelberg.de.pgp.pub.asc.sig`](Signatures/fs-coli@cl.uni-heidelberg.de.pgp.pub.asc.sig)

By verifying the signature made with the key you already trust, you can verify that you can also trust the other key.
